%bcond_with doc

%global srcname dulwich
%global __provides_exclude_from ^(%{python3_sitearch}/.*\\.so)$

Summary:        Python implementation of the Git file formats and protocols
Name:           python-%{srcname}
Version:        0.21.6
Release:        1%{?dist}
License:        GPLv2+ or ASL 2.0
URL:            https://www.dulwich.io/
Source0:        %{pypi_source}

BuildRequires:  gcc

%description
Dulwich is a pure-Python implementation of the Git file formats and
protocols. The project is named after the village in which Mr. and
Mrs. Git live in the Monty Python sketch.

%package -n python3-%{srcname}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{srcname}
Dulwich is a pure-Python implementation of the Git file formats and
protocols. The project is named after the village in which Mr. and
Mrs. Git live in the Monty Python sketch.

%if %{with doc}
%package -n %{name}-doc
Summary:        The %{name} documentation

BuildRequires:  python3-sphinx
BuildRequires:  python3-docutils
BuildRequires:  python3-sphinx-epytext

%description -n %{name}-doc
Documentation for %{name}.
%endif

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%if %{with doc}
PYTHONPATH=${PWD} sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install
rm -rf %{buildroot}%{python3_sitearch}/docs/tutorial/

%files -n python3-%{srcname}
%doc AUTHORS README.rst
%license COPYING
%{_bindir}/dul-*
%{_bindir}/%{srcname}
%{python3_sitearch}/%{srcname}*
%exclude %{python3_sitearch}/%{srcname}/tests*

%if %{with doc}
%files -n %{name}-doc
%license COPYING
%doc AUTHORS README.rst
%doc html
%endif

%changelog
* Mon Sep 25 2023 cunshunxia <cunshunxia@tencent.com> - 0.21.6-1
- Upgrade to version 0.21.6

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.35-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.35-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.35-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.35-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 cunshunxia <cunshunxia@tencent.com> - 0.20.35-1
- initial build
